module Debate.Arguments.Nutrition.HealthyChocolate exposing (..)

import Debate.Types exposing (..)


argumentHealthyChocolate : Argument
argumentHealthyChocolate =
    { argumentTitle = "Argument Against Atherogenic Chocolate"
    , propositionTitle = "Chocolate does not cause atherosclerosis."
    , propositionSummary = "Summary"
    , proofLink  = "https://www.umsu.de/trees/#(~6x(Px~5Qx)),(~3Qc)|=(~3Pc)"
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x) causes atherosclerosis"
          }
        , { definiendum = "Q(x)"
          , definiens = "populations consuming more (x) have higher rates of atherosclerosis after adjustment or control over relevant confounders and covariates."
          }
        , { definiendum = "c"
          , definiens = "chocolate"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all things, if high saturated fat food (x) causes atherosclerosis, then populations consuming more high saturated fat food (x) have higher rates of atherosclerosis after adjustment or control over relevant confounders and covariates."
                  , notation = "(∀x(Px→Qx))"
                  }
                , { premise = "Populations consuming more chocolate do not have higher rates of atherosclerosis after adjustment or control over relevant confounders and covariates."
                  , notation = "(¬Qc)"
                  }
                ]
          , conclusion = "Therefore, chocolate does not cause atherosclerosis."
          , conclusionNotation = "(∴¬Pc)"
          }
        ]
    }
