module Debate.Arguments.Nutrition.HealthyFibre exposing (..)

import Debate.Types exposing (..)


argumentHealthyFibre : Argument
argumentHealthyFibre =
    { argumentTitle = "Argument for Overwhelmingly Healthy Fibre"
    , propositionTitle = "Fibre, whether whole or refined, is overwhelmingly healthy."
    , propositionSummary = "Summary"
    , proofLink = "https://www.umsu.de/trees/#(~6x(Px~4Qx)),(Qb)|=(Pb)"
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x) is overwhelmingly healthy"
          }
        , { definiendum = "Q(x)"
          , definiens = "(x) consistently associates with a reduced risk of morbidity and mortality after adjustment or control over relevant confounders and covariates"
          }
        , { definiendum = "b"
          , definiens = "fibre"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all things, food (x) is overwhelmingly healthy if, and only if, food (x) consistently associates with a reduced risk of morbidity and mortality after adjustment or control over relevant confounders and covariates."
                  , notation = "(∀x(Px↔Qx))"
                  }
                , { premise = "Fibre, whether whole or refined, consistently associates with a reduced risk of morbidity and mortality after adjustment or control over relevant confounders and covariates."
                  , notation = "(Qb)"
                  }
                ]
          , conclusion = "Therefore, fibre, whether whole or refined, is overwhelmingly healthy."
          , conclusionNotation = "(∴Pb)"
          }
        ]
    }
