module Debate.Arguments.Nutrition.HealthySeedOils exposing (..)

import Debate.Types exposing (..)


argumentHealthySeedOils : Argument
argumentHealthySeedOils =
    { argumentTitle = "Argument for Overwhelmingly Healthy Seed Oils"
    , propositionTitle = "Non-hydrogenated vegetable oils are overwhelmingly healthy."
    , propositionSummary = "Summary"
    , proofLink  = "https://www.umsu.de/trees/#(~6x(Px~5Qx)),(Pv)|=(Qv)"
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x) is overwhelmingly healthy"
          }
        , { definiendum = "Q(x)"
          , definiens = "(x) consistently associates with a reduced risk of morbidity and mortality after adjustment or control over relevant confounders and covariates"
          }
        , { definiendum = "x"
          , definiens = "a food"
          }
        , { definiendum = "v"
          , definiens = "non-hydrogenated vegetable oils"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all things, food (x) is overwhelmingly healthy if, and only if, food (x) consistently associates with a reduced risk of morbidity and mortality after adjustment or control over relevant confounders and covariates."
                  , notation = "(∀x(Px↔Qx))"
                  }
                , { premise = "Non-hydrogenated vegetable oils consistently associate with a reduced risk of morbidity and mortality after adjustment or control over relevant confounders and covariates."
                  , notation = "(Pv)"
                  }
                ]
          , conclusion = "Therefore, non-hydrogenated vegetable oils are overwhelmingly healthy."
          , conclusionNotation = "(∴Qv)"
          }
        ]
    }