module Debate.Arguments.Philosophy.ImmortalityReductio exposing (..)

import Debate.Types exposing (..)


argumentImmortalityReductio : Argument
argumentImmortalityReductio =
    { argumentTitle = "Appeal to Nature Immortality Reductio"
    , propositionTitle = "Senescence does not result in death."
    , propositionSummary = "Summary"
    , proofLink = "https://www.umsu.de/trees/#(~6x~6y(Hx~5~3Rxy)),(Hs)%7C=(~3Rsd)"
    , definitionTable =
        [ { definiendum = "H(x)"
          , definiens = "humans undergo (x)"
          }
        , { definiendum = "R(x,y)"
          , definiens = "(x) results in (y)"
          }
        , { definiendum = "x"
          , definiens = "normal physiological process"
          }
        , { definiendum = "y"
          , definiens = "negative health outcome"
          }
        , { definiendum = "s"
          , definiens = "senescence"
          }
        , { definiendum = "d"
          , definiens = "death"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If humans undergo a normal physiological process, then the normal physiological process does not result in a negative health outcome."
                  , notation = "(∀x∀y(Hx→¬Rxy))"
                  }
                , { premise = "Humans undergo senescence."
                  , notation = "(Hs)"
                  }
                ]
          , conclusion = "Therefore, senescence does not result in death."
          , conclusionNotation = "(∴¬Rsd)"
          }
        ]
    }
