module Debate.Arguments.Philosophy.ScratcherPioneers exposing (..)

import Debate.Types exposing (..)


argumentScratcherPioneers : Argument
argumentScratcherPioneers =
    { argumentTitle = "Tattoo Pioneers were Scratchers"
    , propositionTitle = "The original trailblazers of modern tattooing were scratchers."
    , propositionSummary = "Summary"
    , proofLink = "https://www.umsu.de/trees/#(~6x(Sx~4Lx~2Hx~2Ux)),(Lt),(Ht),(Ut)%7C=(St)"
    , definitionTable =
        [ { definiendum = "S(x)"
          , definiens = "(x) is a scratcher"
          }
        , { definiendum = "L(x)"
          , definiens = "(x) tattoos without a license"
          }
        , { definiendum = "H(x)"
          , definiens = "(x) tattoos without observing basic health standards"
          }
        , { definiendum = "U(x)"
          , definiens = "(x) tattoos without having undertaken apprenticeship"
          }
        , { definiendum = "x"
          , definiens = "a tattoo artist"
          }
        , { definiendum = "t"
          , definiens = "original trailblazers of modern tattooing"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "One is a scratcher if, and only if, one tattoos without a license and/or one tattoos without observing basic health standards and/or one tattoos without having undertaken apprenticeship."
                  , notation = "(∀x(Sx↔Lx∨Hx∨Ux))"
                  }
                , { premise = "The original trailblazers of modern tattooing tattooed without licenses."
                  , notation = "(Lt)"
                  }
                , { premise = "The original trailblazers of modern tattooing tattooed without observing basic health standards."
                  , notation = "(Ht)"
                  }
                , { premise = "The original trailblazers of modern tattooing tattooed without having undertaken apprenticeship."
                  , notation = "(Ut)"
                  }
                , { premise = ""
                  , notation = ""
                  }
                ]
          , conclusion = "Therefore, the original trailblazers of modern tattooing were scratchers."
          , conclusionNotation = "(∴St)"
          }
        ]
    }
