module Debate.Arguments.Politics.BoobyTrapPagers exposing (..)

import Debate.Types exposing (..)


argumentBoobyTrapPagers : Argument
argumentBoobyTrapPagers =
    { argumentTitle = "Argument Against Israeli Pagers as Booby-Traps"
    , propositionTitle = "Proposition"
    , propositionSummary = "Summary"
    , proofLink  = "The Israeli pagers were not booby-traps."
    , definitionTable =
        [ { definiendum = "B(x)"
          , definiens = "(x) is a booby-trap"
          }
        , { definiendum = "D(x)"
          , definiens = "(x) is a device or material"
          }
        , { definiendum = "K(x)"
          , definiens = "(x) is designed, constructed, or adapted to kill or injure"
          }
        , { definiendum = "F(x)"
          , definiens = "(x) functions (as a device or material that was designed, constructed, or adapted to kill or injure) when a person disturbs or approaches an apparently safe act"
          }
           , { definiendum = "x"
          , definiens = "a device"
          }
        , { definiendum = "p"
          , definiens = "Israeli pagers"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all x, x is a booby-trap if, and only if, x is a device or material AND x is designed, constructed, or adapted to kill or injure AND x functions (as a device or material that was designed, constructed, or adapted to kill or injure) when a person disturbs or approaches an apparently safe act."
                  , notation = "(∀x(Bx↔(Dx∧Kx∧Fx)))"
                  }
                , { premise = "The Israeli pagers were devices or materials."
                  , notation = "(Dp)"
                  }
                , { premise = "The Israeli pagers were designed, constructed, or adapted to kill or injure."
                  , notation = "(Kp)"
                  }
                , { premise = "The Israeli pagers did not function (as devices or materials that were designed, constructed, or adapted to kill or injure) when a person disturbs or approaches an apparently safe act."
                  , notation = "(¬Fp)"
                  }
                ]
          , conclusion = "Therefore, the Israeli pagers were not booby-traps."
          , conclusionNotation = "(∴¬Bp)"
          }
        ]
    }